<?php
/*
 *  Copyright 2003-2033 dahantc.com Inc.All Rights Reserved.
 *
 */

include_once("./DahantcVoiceReportSDK.php");

/**
 * 帐户参数配置
 *
 * 用户登录之后在开发者控制台【首页】寻找以下配置参数：
 * $accountSid: 帐号ID，对应开发者帐号下的 ACCOUNT SID
 * $authToken: 授权令牌，对应开发者帐号下的 AUTH TOKEN
 * $apiUrl: API调用路径，对应着开发者后台中的API URL
 */
$accountSid	= 'xxxx4d09f23c453abd436914df8dxxxx';
$authToken	= 'xxxx76afde8d4a71b7462c85418axxxx';
$apiUrl 	= 'https://report.dahancloud.com/';


getVoiceReport();

/**
 * 获取语音状态报告
 */
function getVoiceReport() {
    global $accountSid, $authToken, $apiUrl;

    // 初始化SDK
    $sdk = new VoiceReportSDK();
    $sdk->setAccountSid($accountSid);
    $sdk->setAuthToken($authToken);
    $sdk->setApiUrl($apiUrl);

    // 获取语音状态报告
    echo "Get VoiceReport <br/>";
    $result = $sdk->getVoiceReport();

    echo $result->code;

    // 处理返回结果
    if($result->code == 'DH:0000') {
        echo "Get Voice Report Success! <br/>";

        //获取返回状态报告
        $datas = $result->datas;

        echo "datas:[ ";

        if($datas != null and count($datas) != 0){
            for ($i = 0; $i < count($datas); $i ++){
                print_r(($datas)[$i]);
            }
        }
        echo "]<br/>";

        //TODO 成功处理

    } else {
        echo "Get Voice Report Fail! <br/>";
        echo "error code: " . $result->code . "<br/>";//返回状态码
        echo "error message: " . $result->msg . "<br/>";//返回状态信息

        //TODO 错误处理

    }

}

?>
